• Wade Lovell 84
  • NEWBIE
  • 20 Points
  • Member since 2020
  • Sr. Systems Admin
  • Thermo Fisher Scientific


  • Chatter
    Feed
  • 0
    Best Answers
  • 0
    Likes Received
  • 0
    Likes Given
  • 3
    Questions
  • 8
    Replies
Wade Lovell 
Why is Flow Builder trying to access CreatedDate on Territory2 and how do I stop it from doing so?
I am building a Flow and while debugging on the canvas I get this error:
Debug Details
; nested exception is: common.exception.ApiQueryException: = '0052400000600n8')) ORDER BY CreatedDate ASC LIMIT 1 ^ ERROR at Row:1:Column:103 No such column 'CreatedDate' on entity 'Territory2'. If you are attempting to use a custom field, be sure to append the '__c' after the custom field name. Please reference your WSDL or the describe call for the appropriate names.

This information is absolutely correct and totally useless! (Remind anyone else of an old joke about economists?) I am not asking Flow Builder to access this non-existent field on Territory2. 

Does someone here know how to change this behavior?

Is there a tool to convert this FLOW to APEX where I can control the SOQL SELECT statement?
Do I have to start from scratch? Does someone here know how to change this behavior?

Thanks in advance,
Wade

https://trailblazer.me/id/wlovell1 
Javascript / Trailhead Challenge issue. 

import { LightningElement, wire } from 'lwc';
import FIRSTNAME_FIELD from '@salesforce/schema/Contact.FirstName';
import LASTNAME_FIELD from '@salesforce/schema/Contact.LastName';
import EMAIL_FIELD from '@salesforce/schema/Contact.Email';
import getContacts from '@salesforce/apex/ContactController.getContacts';
const COLUMNS = [
    { label: 'Contact First Name', fieldName: FIRSTNAME_FIELD.fieldApiName, type: 'text' },
    { label: 'Contact Last Name', fieldName: LASTNAME_FIELD.fieldApiName, type: 'text' },
    { label: 'Email Address', fieldName: EMAIL_FIELD.fieldApiName, type: 'text' }
];
export default class ContactList extends LightningElement {
    columns = COLUMNS;
    @wire(getContacts)
    contacts;
}

Throws this error, "Class properties must be methods. Expected '(' but instead saw '='. (E054)' Seems this may be a the premature use of a feature at Stage 2 but not generally available (except in packages like Babel, perhaps?).

Would like to complete the challenge.
Thanks in advance,
Wade
Javascript / Trailhead Challenge issue. 

import { LightningElement, wire } from 'lwc';
import FIRSTNAME_FIELD from '@salesforce/schema/Contact.FirstName';
import LASTNAME_FIELD from '@salesforce/schema/Contact.LastName';
import EMAIL_FIELD from '@salesforce/schema/Contact.Email';
import getContacts from '@salesforce/apex/ContactController.getContacts';
const COLUMNS = [
    { label: 'Contact First Name', fieldName: FIRSTNAME_FIELD.fieldApiName, type: 'text' },
    { label: 'Contact Last Name', fieldName: LASTNAME_FIELD.fieldApiName, type: 'text' },
    { label: 'Email Address', fieldName: EMAIL_FIELD.fieldApiName, type: 'text' }
];
export default class ContactList extends LightningElement {
    columns = COLUMNS;
    @wire(getContacts)
    contacts;
}

Throws this error, "Class properties must be methods. Expected '(' but instead saw '='. (E054)' Seems this may be a the premature use of a feature at Stage 2 but not generally available (except in packages like Babel, perhaps?).

Would like to complete the challenge.
Thanks in advance,
Wade
Hi all,
I was completing my CPQ challenges in Trailhead playground I had for CPQ and suddenly it got expired and I tried to retake the challenge to have it but this is the error I got when I tried to.

Step not yet complete in monica.onsy123@gmail.com
There was an unexpected error while verifying this challenge. Usually this is due to some pre-existing configuration or code in the challenge Org. We recommend using a new Developer Edition (DE) to check this challenge. If you're using a new DE and seeing this error, please post to the developer forums and reference error id: MRJTMMLH

Challenge Name: 
Sign Up for a Trailhead Playground with Salesforce CPQ
 
While trying to push code using SFDX. I am getting below error. Please help if any one faced this error.


WARNING: apiVersion configuration overridden at 44.0
PROJECT PATH ERROR
──────────── ────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
N/A An object 'OrgComparer' of type LightningComponentBundle was named in package.xml, but was not found in zipped directory
02:26:12.128 sfdx force:source:push ended with exit code 1
Hi All, 

I would like to know if there is a possibility to deploy the process builder with active status in any way of deployment?. Currently I am facing the issue like is it was deployed through Ant migration tool with inactive status. So, I have to manually activate it after deployment.

Thanks in Advance!
    I figured this would have been answered by doing a forum search but no luck:

How do I make a picklist field 'required' with a validation rule? 

I tried using both ISPICKVAL and CASE to detemrine when a picklist had not value selected, but either I get "invalid argument" (case) or no match (ISPICKVAL).

CASE example:

IF(  AND(Extension_Date__c <> null,   CASE(Extension_Reason__c, "Budget", false, "Org Change", false, true) ) , true, false)

ISPICKVAL example:

IF( AND(Extension_Date__c <> null,   ISPICKVAL(Extension_Reason__c, "" ***) ), true, false)

***[ also tried NULL, "NONE",etc]

Can this only be done using a NOT check on every picklist value? Seems cumbersome....   i.e.

IF AND(Extension_Date__c <> null,  NOT(ISPICKVAL(Extension_Reason__c, "Budget")), NOT(ISPICKVAL(Extension_Reason__c, "Org Change")) ), true, false)


Thanks,
ajd